@echo off
cd /D C:\Users\qt\work\build\qt-creator\share\qtcreator\translations || (set FAIL_LINE=2& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lupdate.exe -locations relative -no-ui-lines @C:/Users/qt/work/build/qt-creator_build/build/share/qtcreator/translations/lupdate-args.lst -ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_untranslated.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_cs.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_da.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_de.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_fr.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_hr.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_ja.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_pl.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_ru.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_sl.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_sv.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_uk.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_zh_CN.ts C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_zh_TW.ts || (set FAIL_LINE=3& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_untranslated.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_untranslated.ts || (set FAIL_LINE=4& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_cs.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_cs.ts || (set FAIL_LINE=5& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_da.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_da.ts || (set FAIL_LINE=6& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_de.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_de.ts || (set FAIL_LINE=7& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_fr.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_fr.ts || (set FAIL_LINE=8& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_hr.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_hr.ts || (set FAIL_LINE=9& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_ja.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_ja.ts || (set FAIL_LINE=10& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_pl.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_pl.ts || (set FAIL_LINE=11& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_ru.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_ru.ts || (set FAIL_LINE=12& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_sl.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_sl.ts || (set FAIL_LINE=13& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_sv.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_sv.ts || (set FAIL_LINE=14& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_uk.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_uk.ts || (set FAIL_LINE=15& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_zh_CN.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_zh_CN.ts || (set FAIL_LINE=16& goto :ABORT)
C:\Users\qt\work\build\qt_install_dir\bin\lconvert.exe -locations none -no-ui-lines -no-obsolete C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_zh_TW.ts -o C:/Users/qt/work/build/qt-creator/share/qtcreator/translations/qtcreator_zh_TW.ts || (set FAIL_LINE=17& goto :ABORT)
goto :EOF

:ABORT
set ERROR_CODE=%ERRORLEVEL%
echo Batch file failed at line %FAIL_LINE% with errorcode %ERRORLEVEL%
exit /b %ERROR_CODE%